更新grunt dev依赖关系

我相对较新,对节点还不是很熟悉。 我有一个样板Gruntfile和package.json文件,我在我的所有项目中使用,并根据需要进行修改。 当我开始每个项目时,我想更新Dev Dependencies和package.json中的所有Grunt插件,但是我不知道如何快速简单地执行此操作。 是否可以用一个命令更新所有模块,还是必须单独执行?

       

网上收集的解决方案 "更新grunt dev依赖关系"

在你的package.json你可以用一系列版本标记每个依赖项来安装,然后键入npm install来安装给定版本上列出的所有依赖项:

只安装0.6.0

 { "devDependencies": { "grunt-contrib-watch": "0.6.0" } } 

~前缀来安装最新的补丁版本0.6.x
随着0.6.1等版本的发布, npm install会安装这些版本的最新版本。 如果释放0.7.0 ,则不会安装该版本(通常是一个很好的策略,因为它可能包含重大更改)。

 { "devDependencies": { "grunt-contrib-watch": "~0.6.0" } } 

显式设置范围:
您可以使用><<=>=来显式设置版本范围。 定制范围的另一个好的select,或者如果你想明确你的版本范围。 以下将安装每个版本大于或等于0.6.0但小于1.0.0

 { "devDependencies": { "grunt-contrib-watch": ">= 0.6.0 < 1.0.0" } } 

总是安装最新的*
或者如果你只是想要最新的版本使用*

 { "devDependencies": { "grunt-contrib-watch": "*" } } 

在npm文档中查看更多关于版本范围的信息: https ://www.npmjs.org/doc/misc/semver.html


npm outdated
如果您想查看哪些依赖关系已过期,请使用npm outdated : https : npm outdated


npm update
使用npm update来更新所有依赖到最新版本。 或者npm update packagename anotherpackage将特定的软件包更新到最新版本。